Package org.codehaus.groovy.transform.sc.transformers

# Class VariableExpressionTransformer

java.lang.Object
org.codehaus.groovy.transform.sc.transformers.VariableExpressionTransformer

public class VariableExpressionTransformer extends Object
Transformer for VariableExpression the bytecode backend wouldn't be able to handle otherwise.

Author:
  Jochen "blackdrag" Theodorou

## Constructor Summary

Constructors
Constructor
Description
`VariableExpressionTransformer()`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`transformVariableExpression(VariableExpression expr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableExpressionTransformer

public VariableExpressionTransformer()

## Method Details

### transformVariableExpression

public Expression transformVariableExpression(VariableExpression expr)